Loading...
Searching...
No Matches
CudaDeviceBuffer.h File Reference

Implements a simple CUDA allocator! More...

`#include "HostBuffer.h"`
`#include <cuda_runtime_api.h>`

Go to the source code of this file.

## Classes

class | CudaDeviceBuffer
| Simple memory buffer using un-managed pinned host memory when compiled with NVCC. Obviously this class is making explicit used of CUDA so replace it with your own memory allocator if you are not using CUDA. More...
struct | BufferTraits< CudaDeviceBuffer >

## Namespaces

namespace | nanovdb

## Macros

#define | cudaCheck(ans)
#define | checkPtr(ptr, msg)

## Functions

static void | gpuAssert (cudaError_t, const char *, int, bool=true)
static void | ptrAssert (void *, const char *, const char *, int, bool=true)

## Detailed Description

Implements a simple CUDA allocator!

Author
  Ken Museth

Date
  January 8, 2020

     CudaDeviceBuffer - a class for simple cuda buffer allocation and management

## Macro Definition Documentation

## checkPtr

#define checkPtr | ( |  | ptr,
|  |  | msg )

Value:
{ \
ptrAssert((ptr), (msg), __FILE__, __LINE__); \
}

## cudaCheck

#define cudaCheck | ( |  | ans | ) |

Value:
{ \
gpuAssert((ans), __FILE__, __LINE__); \
}

## Function Documentation

## gpuAssert()

void gpuAssert | ( | cudaError_t | ,
|  | const char * | ,
|  | int | ,
|  | bool | = true )

inline static

## ptrAssert()

void ptrAssert | ( | void * | ,
|  | const char * | ,
|  | const char * | ,
|  | int | ,
|  | bool | = true )

inline static